Subject: bug#23257: bug#22321: 25.1.50; byte-recompile-directory mis-compares against dir-locals-file

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 04 Jul 2021 16:25:07 +0200

Johan Claesson <[email-masked]> writes:

> byte-recompile-directory ignore file names equal to dir-locals-file.  I
> think it would make sense that it treat the new dir-locals-file-2 in the
> same way.
>
> The same goes for load-path-shadows-find.  It ignores dir-locals-file
> and should probably also ignore dir-locals-file-2.

Yes, I think that makes sense, so I've now done this in Emacs 28.  It
was also suggested that all files starting with "." should be ignored,
but I think that sounds like a pretty backwards-incompatible change.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no